Get hot segments
GET
/analytics/v1/videos/{videoId}/hot-segmentsReturns the most engaging segments of a video
Authorization
Bearer Authorization<token>
In: header
Path Parameters
videoId*string
Video ID
Query Parameters
start?string
Start date (inclusive)
end?string
End date (inclusive)
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/analyticsv1.HotSegmentsResponse",
"$ref-value": {
"properties": {
"segments": {
"items": {
"$ref": "#/components/schemas/analyticsv1.HotSegment",
"$ref-value": {
"properties": {
"end_second": {
"type": "integer"
},
"multiplier": {
"type": "number"
},
"start_second": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/analytics/v1/videos/string/hot-segments"OK
application/json
{
"$ref": "#/components/schemas/analyticsv1.HotSegmentsResponse",
"$ref-value": {
"properties": {
"segments": {
"items": {
"$ref": "#/components/schemas/analyticsv1.HotSegment",
"$ref-value": {
"properties": {
"end_second": {
"type": "integer"
},
"multiplier": {
"type": "number"
},
"start_second": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}